From 9f696c9db21ed8972115074edb7830518110e842 Mon Sep 17 00:00:00 2001
From: Balint Reczey <balint@balintreczey.hu>
Date: Thu, 4 Sep 2014 20:30:31 +0200
Subject: [PATCH 2/2] Simplify command_add_argv()

---
 lib/dpkg/command.c | 19 ++++++-------------
 1 file changed, 6 insertions(+), 13 deletions(-)

diff --git a/lib/dpkg/command.c b/lib/dpkg/command.c
index f5b08ea..ff2cf37 100644
--- a/lib/dpkg/command.c
+++ b/lib/dpkg/command.c
@@ -131,20 +131,13 @@ command_add_argl(struct command *cmd, const char **argv)
 void
 command_add_argv(struct command *cmd, va_list args)
 {
-	va_list args_copy;
-	int i, add_argc = 0;
-
-	va_copy(args_copy, args);
-	while (va_arg(args_copy, const char *) != NULL)
-		add_argc++;
-	va_end(args_copy);
-
-	command_grow_argv(cmd, add_argc);
-
-	for (i = 0; i < add_argc; i++)
-		cmd->argv[cmd->argc++] = va_arg(args, const char *);
+	const char * arg;
 
-	cmd->argv[cmd->argc] = NULL;
+	arg = va_arg(args, const char *);
+	while (arg != NULL) {
+		command_add_arg(cmd, arg);
+		arg = va_arg(args, const char *);
+	}
 }
 
 /**
-- 
2.1.0

